# FoundationClasses
TKMath
TopLoc

# TopLoc_StdMapNodeOfMapOfLocation Class Reference

`#include <TopLoc_StdMapNodeOfMapOfLocation.hxx>`

Inheritance diagram for TopLoc_StdMapNodeOfMapOfLocation:

[legend]

## Public Member Functions

| TopLoc_StdMapNodeOfMapOfLocation (const TopLoc_Location &K, const TCollection_MapNodePtr &n)
TopLoc_Location & | Key () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

TopLoc_Location | myKey

## Constructor & Destructor Documentation

TopLoc_StdMapNodeOfMapOfLocation::TopLoc_StdMapNodeOfMapOfLocation | ( | const TopLoc_Location & | K,
|  | const TCollection_MapNodePtr & | n
| ) |

## Member Function Documentation

Standard_EXPORT const TopLoc_StdMapNodeOfMapOfLocation::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from TCollection_MapNode.

TopLoc_Location& TopLoc_StdMapNodeOfMapOfLocation::Key | ( |  | ) | const

## Field Documentation

TopLoc_Location TopLoc_StdMapNodeOfMapOfLocation::myKey `[private]`

The documentation for this class was generated from the following file:

- TopLoc_StdMapNodeOfMapOfLocation.hxx